path: /build/build/reline-dev-ruby-0.6.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/reline -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/reline && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/reline && \
    luet-portage --dir /pkgdir/reline dev-ruby/reline && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:0089ceec25f47348791f0ae108bd19757aea684c5013811ce1ccdd30308f37bf
  package:
    name: reline
    version: 0.6.0
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The compatible library with the API of Ruby's stdlib 'readline',
      GNU Readline and Editline by pure Ruby implementation.
    uri:
    - https://github.com/ruby/reline
    license: BSD-3
    buildtimestamp: 2025-04-23 15:07:44.384232143 +0000 UTC m=+70.354349067
    labels:
      BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
        ) ) test? ( ruby_targets_ruby32? ( dev-ruby/io-console[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( dev-ruby/io-console[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( dev-ruby/io-console[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/io-console[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-ruby/io-console[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( dev-ruby/io-console[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( dev-ruby/io-console[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/io-console[ruby_targets_ruby27(-)]
        ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/reline
      kit: ruby-kit
      original.package.name: dev-ruby/reline
      original.package.slot: "0"
      original.package.version: 0.6.0
    treedir: /build/packages
  package_dir: /pkgdir/reline
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d5464be7f09f741ebd5ed8fdc9a59d70a3988adc66b3f35edb3da6151c54258e
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/bin/console
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/bin/example
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/bin/generate_east_asian_width
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/bin/setup
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/config.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/face.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/history.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/io/ansi.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/io/dumb.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/io/windows.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/io.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_actor/base.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_actor/composite.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_actor/emacs.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_actor/vi_command.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_actor/vi_insert.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_actor.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/key_stroke.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/kill_ring.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/line_editor.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/unicode/east_asian_width.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/unicode.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline/version.rb
- usr/lib64/ruby/gems/3.1.0/gems/reline-0.6.0/lib/reline.rb
- usr/lib64/ruby/gems/3.1.0/specifications/reline-0.6.0.gemspec
- usr/share/doc/reline-0.6.0/README.md.bz2
- usr/share/doc/reline-0.6.0/face.md.bz2
- var/db/pkg/dev-ruby/reline-0.6.0/BDEPEND
- var/db/pkg/dev-ruby/reline-0.6.0/BUILD_TIME
- var/db/pkg/dev-ruby/reline-0.6.0/CATEGORY
- var/db/pkg/dev-ruby/reline-0.6.0/CBUILD
- var/db/pkg/dev-ruby/reline-0.6.0/CFLAGS
- var/db/pkg/dev-ruby/reline-0.6.0/CHOST
- var/db/pkg/dev-ruby/reline-0.6.0/CONTENTS
- var/db/pkg/dev-ruby/reline-0.6.0/COUNTER
- var/db/pkg/dev-ruby/reline-0.6.0/CTARGET
- var/db/pkg/dev-ruby/reline-0.6.0/CXX
- var/db/pkg/dev-ruby/reline-0.6.0/CXXFLAGS
- var/db/pkg/dev-ruby/reline-0.6.0/DEFINED_PHASES
- var/db/pkg/dev-ruby/reline-0.6.0/DEPEND
- var/db/pkg/dev-ruby/reline-0.6.0/DESCRIPTION
- var/db/pkg/dev-ruby/reline-0.6.0/EAPI
- var/db/pkg/dev-ruby/reline-0.6.0/FEATURES
- var/db/pkg/dev-ruby/reline-0.6.0/HOMEPAGE
- var/db/pkg/dev-ruby/reline-0.6.0/INHERITED
- var/db/pkg/dev-ruby/reline-0.6.0/IUSE
- var/db/pkg/dev-ruby/reline-0.6.0/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/reline-0.6.0/KEYWORDS
- var/db/pkg/dev-ruby/reline-0.6.0/LDFLAGS
- var/db/pkg/dev-ruby/reline-0.6.0/LICENSE
- var/db/pkg/dev-ruby/reline-0.6.0/PF
- var/db/pkg/dev-ruby/reline-0.6.0/RDEPEND
- var/db/pkg/dev-ruby/reline-0.6.0/RESTRICT
- var/db/pkg/dev-ruby/reline-0.6.0/SIZE
- var/db/pkg/dev-ruby/reline-0.6.0/SLOT
- var/db/pkg/dev-ruby/reline-0.6.0/USE
- var/db/pkg/dev-ruby/reline-0.6.0/environment.bz2
- var/db/pkg/dev-ruby/reline-0.6.0/reline-0.6.0.ebuild
- var/db/pkg/dev-ruby/reline-0.6.0/repository
package_cacheimage: ""
runtime:
  name: reline
  version: 0.6.0
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: io-console
    version: '>=0'
    category: dev-ruby
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The compatible library with the API of Ruby's stdlib 'readline', GNU
    Readline and Editline by pure Ruby implementation.
  uri:
  - https://github.com/ruby/reline
  license: BSD-3
  labels:
    BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
      ) ) test? ( ruby_targets_ruby32? ( dev-ruby/io-console[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( dev-ruby/io-console[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( dev-ruby/io-console[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/io-console[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-ruby/io-console[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( dev-ruby/io-console[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( dev-ruby/io-console[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/io-console[ruby_targets_ruby27(-)]
      ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/reline
    kit: ruby-kit
    original.package.name: dev-ruby/reline
    original.package.slot: "0"
    original.package.version: 0.6.0
